Bug 1005198 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:399a7bd31ac2e9b667fa8f4b9fb...
:
Depends On:
Blocks: F20AlphaFreezeException 1006184
  Show dependency treegraph
 
Reported: 2013-09-06 08:27 EDT by Radek Vykydal
Modified: 2015-06-29 21:23 EDT (History)
12 users (show)

See Also:
Fixed In Version: anaconda-20.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006184 (view as bug list)
Environment:
Last Closed: 2015-06-29 21:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (645.54 KB, text/plain)
2013-09-06 08:27 EDT, Radek Vykydal
no flags Details
File: anaconda.log (6.96 KB, text/plain)
2013-09-06 08:27 EDT, Radek Vykydal
no flags Details
File: environ (575 bytes, text/plain)
2013-09-06 08:27 EDT, Radek Vykydal
no flags Details
File: lsblk_output (1.95 KB, text/plain)
2013-09-06 08:27 EDT, Radek Vykydal
no flags Details
File: nmcli_dev_list (480 bytes, text/plain)
2013-09-06 08:27 EDT, Radek Vykydal
no flags Details
File: os_info (281 bytes, text/plain)
2013-09-06 08:27 EDT, Radek Vykydal
no flags Details
File: program.log (24.79 KB, text/plain)
2013-09-06 08:28 EDT, Radek Vykydal
no flags Details
File: storage.log (56.80 KB, text/plain)
2013-09-06 08:28 EDT, Radek Vykydal
no flags Details
File: syslog (71.84 KB, text/plain)
2013-09-06 08:28 EDT, Radek Vykydal
no flags Details
File: ifcfg.log (727 bytes, text/plain)
2013-09-06 08:28 EDT, Radek Vykydal
no flags Details
File: packaging.log (341.98 KB, text/plain)
2013-09-06 08:28 EDT, Radek Vykydal
no flags Details

  None (edit)
Description Radek Vykydal 2013-09-06 08:27:31 EDT
Description of problem:
During installation go to network spoke and switch a device off and on.

Version-Release number of selected component:
anaconda-20.9-1

The following was filed automatically by anaconda:
anaconda 20.9-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 733, in _refresh_device_cfg
    ipv4cfg.get_addresses()[0].get_address()))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 707, in refresh_ui
    self._refresh_device_cfg(device, state)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 397, in on_device_state_changed
    self.refresh_ui(device, new_state)
IndexError: list index out of range

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=test/rv/f20atc3/initrd.img root=live:http://10.34.39.2/trees/rv/f20atc3/squashfs.img repo=http://download.englab.brq.redhat.com/pub/fedora/fedora-alt/stage/20-Alpha-TC3/Fedora/x86_64/os/ \ BOOT_IMAGE=test/rv/f20atc3/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.0-0.rc7.git5.1.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20-Alpha-TC3
Comment 1 Radek Vykydal 2013-09-06 08:27:38 EDT
Created attachment 794682 [details]
File: anaconda-tb
Comment 2 Radek Vykydal 2013-09-06 08:27:42 EDT
Created attachment 794683 [details]
File: anaconda.log
Comment 3 Radek Vykydal 2013-09-06 08:27:47 EDT
Created attachment 794684 [details]
File: environ
Comment 4 Radek Vykydal 2013-09-06 08:27:51 EDT
Created attachment 794685 [details]
File: lsblk_output
Comment 5 Radek Vykydal 2013-09-06 08:27:54 EDT
Created attachment 794686 [details]
File: nmcli_dev_list
Comment 6 Radek Vykydal 2013-09-06 08:27:59 EDT
Created attachment 794687 [details]
File: os_info
Comment 7 Radek Vykydal 2013-09-06 08:28:03 EDT
Created attachment 794688 [details]
File: program.log
Comment 8 Radek Vykydal 2013-09-06 08:28:07 EDT
Created attachment 794689 [details]
File: storage.log
Comment 9 Radek Vykydal 2013-09-06 08:28:12 EDT
Created attachment 794690 [details]
File: syslog
Comment 10 Radek Vykydal 2013-09-06 08:28:17 EDT
Created attachment 794691 [details]
File: ifcfg.log
Comment 11 Radek Vykydal 2013-09-06 08:28:22 EDT
Created attachment 794692 [details]
File: packaging.log
Comment 12 Lukas Brabec 2013-09-10 04:36:17 EDT
Tried to enable network interface in Anaconda (Fedora 20 DVD Alpha TC6).

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora\x2020-Alpha-TC5\x20x86_64 quiet
hashmarkername: anaconda
kernel:         3.11.0-3.fc20.x86_64
package:        anaconda-20.12-1
product:        Fedora
reason:         IndexError: list index out of range
release:        Cannot get release name.
version:        20-Alpha-TC5
Comment 13 Kamil Páral 2013-09-10 10:01:54 EDT
Petr Schindler hit this too. It's a race condition that sometimes happen when you enter the network spoke or see the dialog pop up during boot (quite common on machines with a slow NIC/network, or wifi-only machines). Proposing as least for a freeze exception.
Comment 14 Tim Flink 2013-09-10 11:55:02 EDT
I'm OK with FE on this - crashing on the network spoke is bad form and it'd be good to see this fixed

+1 FE
Comment 15 Petr Schindler 2013-09-10 12:34:43 EDT
I'm +1 FE too. It's not so crucial but it crashes anaconda.
Comment 16 Jaroslav Reznik 2013-09-10 13:19:19 EDT
+1 FE as commented above
Comment 17 Kamil Páral 2013-09-12 04:45:38 EDT
Discussed at 2013-09-11 blocker review meeting [1]. This can cause crashes during install under the right network conditions and while it doesn't qualify as a release blocking bug, a tested fix would be considered past freeze.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-09-11/
Comment 18 Fedora End Of Life 2015-05-29 05:22:22 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-06-29 21:23:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.